# TODO
# - vim subpackage
# - bash-completion subpackage
# - zsh completions subpackage
# - emacs subpackage
Summary:	A small build system with a focus on speed
Name:		ninja-build
Version:	1.0.0
Release:	1
License:	Apache v2.0
Group:		Development/Tools
Source0:	https://github.com/martine/ninja/archive/v%{version}.tar.gz
# Source0-md5:	51f58e418d215ffc165cb9c5ad6cf0d7
URL:		http://martine.github.com/ninja/
Source1:	ninja.vim
BuildRequires:	asciidoc
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ninja is a small build system with a focus on speed. It differs from
other build systems in two major respects: it is designed to have its
input files generated by a higher-level build system, and it is
designed to run builds as fast as possible.

%prep
%setup -q -n ninja-%{version}

%build
export CXX="%{__cxx}"
export CFLAGS="%{rpmcflags}"
./bootstrap.py --verbose -- --debug
./ninja -v manual

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
# TODO: Install ninja_syntax.py?
install -p ninja $RPM_BUILD_ROOT%{_bindir}/ninja-build

%if 0
install -p -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -p misc/bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/ninja-bash-completion

install -p -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
install -p misc/ninja-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ninja-mode.el

install -p -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
install -p misc/ninja.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -p -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/ftdetect
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/ftdetect/ninja.vim

install -p -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
install -p misc/zsh-completion $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_ninja
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README doc/manual.html
%attr(755,root,root) %{_bindir}/ninja-build

%if 0
# emacs
%{_datadir}/emacs/site-lisp/ninja-mode.el
# vim
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim

# bash-completion does not own this
%{_sysconfdir}/bash_completion.d/

# zsh does not have a -filesystem package
%{_datadir}/zsh/
%endif
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ninja-build.git;a=log;h=master

* Sat Jun 08 2013 Elan Ruusamäe <glen@delfi.ee> 9ab004c
- new, version 1.0.0

